Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogicx.jsp.tags.validators
Class CustomizableAdapter

    java.lang.Object
      weblogicx.jsp.tags.validators.CustomizableAdapter

All Implemented Interfaces:
  Serializable, Customizable

Direct Known Subclasses:
  CompareValidator, RegExpValidator, RequiredFieldValidator

    public abstract class CustomizableAdapter

extends Object
implements Customizable

class provides the default base implementation of the Customizable interface, users can extend this class and override beaviour

See Also:
  Serialized Form

Field Summary
`protected String` | `errorMessage`
`protected String` | `expression`
`protected String` | `fieldToValidate`

Constructor Summary
`CustomizableAdapter()`

Method Summary
`static String` | `attributeDequote(String attr)`
`boolean` | `equals(Object o)`
`String` | `getErrorMessage()`
`String` | `getExpression()`
`String` | `getFieldToValidate()`
`void` | `setErrorMessage(String error)` error message being shown to the user.
`void` | `setExpression(String exp)` customExpression which may be used by the implementor for use in the validate method
`void` | `setFieldToValidate(String control)` field being validated
`abstract boolean` | `validate(ServletRequest request)` users may use this method to validate the value of the parameter in the request for eg: the parameter value must contain NYC or it must not contain XYZ or they may even validate it against the custom expression set optionally.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fieldToValidate

    protected String fieldToValidate

### errorMessage

    protected String errorMessage

### expression

    protected String expression

Constructor Detail

### CustomizableAdapter

    public CustomizableAdapter()

Method Detail

### setFieldToValidate

    public void setFieldToValidate(String control)

  Description copied from interface: `Customizable`
  field being validated

  Specified by:
    `setFieldToValidate` in interface `Customizable`

### setErrorMessage

    public void setErrorMessage(String error)

  Description copied from interface: `Customizable`
  error message being shown to the user.

  Specified by:
    `setErrorMessage` in interface `Customizable`

### setExpression

    public void setExpression(String exp)

  customExpression which may be used by the implementor for use in the validate method

  Specified by:
    `setExpression` in interface `Customizable`

### getExpression

    public String getExpression()

### getFieldToValidate

    public String getFieldToValidate()

### getErrorMessage

    public String getErrorMessage()

### validate

    public abstract boolean validate(ServletRequest request)
                              throws Exception

  users may use this method to validate the value of the parameter in the request for eg: the parameter value must contain NYC or it must not contain XYZ or they may even validate it against the custom expression set optionally.

  Specified by:
    `validate` in interface `Customizable`
  Parameters:
    `request` - : received
  Returns:
    boolean indicating operation status
  Throws:
    `Exception`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### attributeDequote

    public static String attributeDequote(String attr)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD